## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check

%global crate vhost-device-scmi

Name:           rust-vhost-device-scmi
Version:        0.1.0
Release:        %autorelease
Summary:        Vhost-user SCMI backend device

License:        Apache-2.0 OR BSD-3-Clause
URL:            https://crates.io/crates/vhost-device-scmi
Source:         %{crates_source}
# Upstream doesn't provide man pages
Patch0:         rust-vhost-device-scmi-man-page.patch
# Crate dependencies update from upstream git
Patch1:         rust-vhost-device-scmi-dependencies.patch

BuildRequires:  cargo-rpm-macros >= 24

# Unit tests fail on s390x, see bug #2244364.
ExcludeArch: s390x

%global _description %{expand:
Vhost-user SCMI backend device.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        (Apache-2.0 OR BSD-3-Clause) AND ((MIT OR Apache-2.0) AND Unicode-DFS-2016) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-3-Clause AND MIT AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE
%license LICENSE-BSD-3-Clause
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/vhost-device-scmi
%{_mandir}/man1/*

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
mkdir -p %{buildroot}/%{_mandir}/man1
install -m 644 vhost-device-scmi.1 %{buildroot}/%{_mandir}/man1/

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Jan 31 2024 Milan Zamazal <mzamazal@redhat.com> - 0.1.0-5
- Update dependencies versions; Fixes RHBZ#2261676

* Tue Jan 30 2024 Milan Zamazal <mzamazal@redhat.com> - 0.1.0-4
- Build-depend on cargo-rpm-macros rather than rust-packaging.

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Oct 16 2023 Milan Zamazal <mzamazal@redhat.com> - 0.1.0-2
- Exclude s390x architecture.

* Fri Oct 13 2023 Milan Zamazal <mzamazal@redhat.com> - 0.1.0-1
- Initial import (fedora#2242449).
## END: Generated by rpmautospec
